Questions tagged [package]

Emacs includes a facility that lets you easily download and install packages that implement additional features. Each package is a separate Emacs Lisp program, sometimes including other components such as an Info manual.

Filter by
Sorted by
Tagged with
0
votes
1answer
29 views

I see “Unnecessary call to ‘package-initialize’ in init file” but can't find the call to `package-initialize`

I'm running Emacs from HEAD on Mac OS. I installed emacs-plus using the --HEAD argument with homebrew. I did a whole grep for (package-initialize) in ~/.emacs.d/. The only reference I found to it is ...
1
vote
0answers
25 views

Is there a package manager for emacs that can use git repositories directly?

Is there a way to manage packages in emacs where I can point to a git repository directly? (like vim-plug for eg).
1
vote
1answer
15 views

How do you remove compiler warnings for macro usage when running macro with 'with-eval-after-load'?

In a package I am working on I want to define a flycheck checker only if the user has flycheck installed already. To do this, I am using the macro (with-eval-after-load "flycheck" ...) as follows: (...
1
vote
1answer
29 views

Is it possible to run package-refresh-contents as some sort of background process?

I've repurposed some code to show me a list of packages that I have installed which have upgrades available. Currently I'm running package-refresh-contents when I start-up Emacs and then display the ...
0
votes
2answers
52 views

package-autoremove doesn't work

I tried to use M-x package-autoremove but my .emacs.d directory is still a mess: it's full with several versions of the same package. As side info I use the no-littering package, but when I update ...
0
votes
2answers
52 views

ELPA list is missing markdown-mode according to list-packages

I'm trying to install markdown-mode using instructions on https://jblevins.org/projects/markdown-mode/, according to which I put into my init.el file (require 'package) (add-to-list 'package-archives ...
0
votes
0answers
32 views

install solarized theme

I can not get this package installed using package-install solarized theme http://melpa.org/#/solarized-theme please throw me a bone
1
vote
2answers
81 views

What happens if I have different versions of Emacs using the same directory

Currently I have two versions of Emacs (system installed by apt-get: emacs26 and my own compiled version emacs27). They both us emacs.d directory, and I wonder what happens the packages are ...
2
votes
2answers
132 views

Managing libraries hosted on EmacsWiki

I recently learned that some former MELPA libraries are now available only from the EmacsWiki. Let aside security implications, Is there an equivalent of M-x package-list-packages for those ...
-1
votes
1answer
31 views

How to include packages into my configuration?

a total newb when it comes to spacemacs. Firstly I just want to get spacemacs to work properly and I have the issues regarding the missing wrapping feature like in the following link (Make visual-line-...
1
vote
0answers
18 views

Running logo program (ucblogo) in Emacs

I am trying to run logo programs (ucblogo version 5.5) on my emacs in Debian Linux (26.1). There is a currently a mode for it ( https://www.emacswiki.org/emacs/LogoMode ). I followed the instructions ...
0
votes
2answers
237 views

Install package `auto-latex-completion`

I am totally new to Emacs (I just began some days ago) and my purpose is to use it for Latex. I tried to install package auto-complete-auctex doing this : 1) I copy file auto-complete-auctex.el to ...
1
vote
0answers
18 views

Can't load spacemacs - it's trying to delete pspp-mode

I am a vim user who only uses emacs for my org-mode todo file, so I really don't know what I'm doing. After updating Ubuntu to 19.04 (and thereby updating emacs to 26.x), I'm getting an error when I ...
0
votes
0answers
79 views

Proper use of use-package

I am using the following init file to download and load packages from melpa-stable in fresh Emacs installations: (require 'package) (add-to-list 'package-archives '("melpa-stable" . "https://stable....
0
votes
2answers
192 views

Can't install Plantuml-mode — MELPA Package list Incomplete (Mac)

I'm trying to install plantuml-mode based on the instructions here: https://github.com/skuro/plantuml-mode I'm told to try the following: M-x package-install<RET> plantuml-mode<RET> ...
0
votes
0answers
32 views

Inline Code Annotations?

I'd like to be able to add inline annotations to my code files that appear to me but do not actually change the file. I looked around for solutions but couldn't find anything besides annotate.el but ...
0
votes
1answer
469 views

use-package and package-initialize problem with emacs27

I'm having quite a bit of trouble getting use-package to automatically install packages in emacs27 I deleted a package using package-delete and restarted emacs. On emacs26, use-package would ...
0
votes
1answer
70 views

Emacs 26.2 can't load init file from Emacs 25 [closed]

The title already says the question, i had Emacs 25 and compiled Emacs 26.2. Although my ./emacs directory and everything in it exists Emacs 26.2. starts complaining about packages which do not exist, ...
2
votes
1answer
360 views

auto-complete Key binding doesn't work in one emacs mode

I have changed the keybindings for yasnippet and autocomplete so that I can use tab for indentation anywhere in a line without accidentally autocompleting or inserting a snippet. I have this in my ...
0
votes
1answer
58 views

Why can't Emacs find counsel and swiper, even though they (and Ivy) seem installed, and Ivy working?

Why can't Emacs find counsel and swiper, even though they (as well as ivy) seem installed, and moreover Ivy mode is enabled, and seems to be working? This is what I get when I try the following: (...
7
votes
2answers
2k views

How to automate installation of packages with .emacs file?

My ~/.emacs (which you can find on GitHub) file loads several different Emacs packages and I would like them to be automatically installed as soon as Emacs starts up, if they are not already installed....
1
vote
1answer
66 views

Keep going mode for require-package

In my initialization file, I have got: (require-package 'clips-mode) The thing is that, lately, this package fails to be loaded sometimes (it's already downloaded but I guess it fails when it tries ...
0
votes
1answer
707 views

When to call package-refresh-contents in init.el

I have found the following lisp code in an init.el file. I am wondering if this code logic is correct. I am learning Elisp and have reviewed the documentation and searched Stack Overflow. If this is ...
1
vote
1answer
38 views

Cannot run cquery

I have been using rtags as my primary C++ mode, but I found that it's performance is not satisfying for large code bases e.g. Linux kernel. It takes more than 5 seconds to find definitions. This it ...
0
votes
2answers
117 views

How to discover all available Emacs packages?

How can I discover all available packages of Emacs? So far, I was under the impression that I could find almost anything through one of these means: The Emacs Manual (C-h r) M-x list-packages C-h p ...
0
votes
1answer
235 views

clang-format malfunctioning(?) Or am I not fully understanding how clang-format works?

I installed the clang-format package from melpa. I then added the following lines to my init file: (require 'clang-format) I then created a test directory, cpp-proj with one file, main.cpp. main....
0
votes
2answers
79 views

Can't connect to package managers on multiple computers

I just did a clean install of emacs 26.1 on multiple computers running different OS (Ubuntu, Mint, Windows), and for some reason I cannot update my packages using M-x refresh-package-contents. I've ...
0
votes
2answers
82 views

Melpa packages aren't being added

I have this in my init.el (require 'package) (setq package-enable-at-startup nil) ;;; Remove SC if you are not using sunrise commander and org if you like outdated packages (setq package-archives '((...
3
votes
2answers
143 views

Unable to install ESS package

I want to install ESS. I initialised the package manager with (require 'package) (add-to-list 'package-archives '("melpa-stable" . "https://stable.melpa.org/packages/")) (package-...
1
vote
1answer
260 views

Cannot install helm from MELPA

For some reason, I am unable to install helm. My configuration is: (require 'package) (add-to-list 'package-archives '("melpa" . "http://melpa.milkbox.net/packages/")) (package-...
2
votes
0answers
126 views

AUCTeX is obsolete on GNU ELPA?

I got this warning when installing AUCTeX from GNU ELPA. The package is installed, but I don't want to use obsolete packages for obvious reasons. I have check the official website of AUCTeX, and it ...
1
vote
1answer
24 views

“void-variable” error when adding advice to `kill-ring-save`

I am trying to add an advice to kill-ring-save and kill-region, so that when I call them with no active regions, instead of throwing an error, the line the point is currently on would be marked ...
0
votes
1answer
43 views

Set a package as predefined to every file

I'm trying to set the package org-bullets as predefined in every *.org file because is kind of redundant to write M-x org-bullets every time I work with the format. Is this possible?
3
votes
2answers
3k views

“no match” error after `M-x package-install` on a package

I want to install https://github.com/syohex/emacs-helm-gtags, and here is the installation instruction: helm-gtags is available on MELPA and MELPA stable You can install helm-gtags with the ...
0
votes
0answers
24 views

package-install hangs despite setting proxy settings in url-proxy-services

I have my url-proxy-services set like this: (("http" . "some-proxy:3128") ("https" . "some-proxy:3128")) However, downloading a package like forge fails. Some of its dependencies like emacsql and ...
5
votes
1answer
113 views

I have package X installed as a dependency. How can I discover which package pulls it in? ie Reverse Dependency

I tried to delete package X (in order to try an older built-in version). But when I restart emacs, it's automatically re-installed. package-list-packages lists it as a dependency so that behaviour ...
0
votes
0answers
51 views

Cannot load the paradox package in Emacs

I am using Emacs 24.5 on Mac OS and trying to install the paradox package through Melpa. When I type the command M-x `package-install' RET paradox I get the response [No match] How can I install ...
4
votes
2answers
849 views

Easy Templates in Org 9.2

Easy templates in Org 9.2 are not working for me on GNU Emacs 26.1 (build 1, x86_64-w64-mingw32) of 2018-05-30. I have changed my elpa/ directory to smelpa/. I load emacs -q and switch to the *...
20
votes
4answers
2k views

Easiest way to downgrade a package installed via MELPA

Sometimes, package updates from MELPA can break some part of emacs and when that happens I'd like to be able to revert back to using an older version of the package. Right now, I can do it in two ...
1
vote
3answers
48 views

Launching emacs with configured packages

Let's say I want to use elisp functions in a script . I rely in my script on some library, dash which I require. #!/usr/local/bin/emacs --script (require 'dash) (message (describe-variable 'load-...
5
votes
3answers
66 views

How can I avoid accidentally editing installed packages while still being able to install new packages?

I end up looking at source files of packages I have installed fairly often and want to avoid accidentally editing them while I am viewing them. After looking at https://emacs.stackexchange.com/a/3681/...
4
votes
1answer
154 views

Are there license restrictions for Emacs Lisp packages?

GNU Emacs is licensed under the GNU General Public License (GPL). The GPL is a copyleft license that requires any derivative work to also be GPL-licensed. Does that impose restrictions on what license ...
1
vote
1answer
51 views

package-install tries a URL whose content is not found

I want to install the package running: M-x package-install RET markdown-mode RET And I get the following error package-install-from-archive: https://melpa.org/packages/markdown-mode-20180904.1601....
0
votes
3answers
107 views

How to remove the remaining commands of removed built-in packages?

I've read here that you can delete the built-in packages from emacs at /usr/share/emacs/25.2/lisp in order to get rid of their commands which may clutter the minibuffer every time you want to execute ...
1
vote
0answers
36 views

How can I find out which packages were not available?

When I run package-install-selected-packages I see the following message: 1 packages are not available (the rest already installed) But it doesn't say which package was not available. All the ...
3
votes
3answers
235 views

Automatically installing the available version of org

Based on this reply, my code has the following function that installs its dependencies: (defun literef-install-packages() "Install any missing packages. The code is taken from `https://...
0
votes
1answer
136 views

Automatically installing a built-in package from MELPA [duplicate]

This post is asking this question more clearly and concisely. My code contains the following function to install dependencies: (defun literef-install-packages() "Install any missing packages. The ...
1
vote
1answer
156 views

install packages system-wide

I tried to have some Emacs packages from MELPA installed system-wide, following suggestions from this question. I want to have these packages installed under /usr/local/share/emacs/site-lisp/elpa, so ...
2
votes
2answers
729 views

can not access melpa packages- hung up at Contacting host: elpa.gnu.org:80

I am trying to access the melpa packages but when typing: package-refresh-contents emacs gets hung up at: "Contacting host: elpa.gnu.org:80" I am completely new to emacs and fairly new to Linux and ...
7
votes
1answer
2k views

Concerns regarding uninstalling packages

In order to uninstall a package from Emacs I read that I must delete the specific folder from the elpa folder. As the .emacs file is being written by itself when I install a package does that mean ...